API Guide Home (Online version only) |

# PalmStatusBar.h File Reference

Include dependency graph for PalmStatusBar.h:

Go to the source code of this file.

## Defines

Library type and creator
Public API for the Status Bar Library

- #define statLibName "StatusBarMgrLib"
- #define statLibCreator 'sBar'
- #define statLibType sysFileTLibrary
- #define statFtrNumVersion (0)

Status Bar Errors

- #define statErrorClass (appErrorClass | 0x0900)
- #define statErrNoStatusBar (statErrorClass | 1)
- #define statErrInvalidSelector (statErrorClass | 2)
- #define statErrInputWindowOpen (statErrorClass | 3)
- #define statErrBadParam (statErrorClass | 101)
- #define statErrInvalidState (statErrorClass | 102)

Library Traps

- #define kStatusBarMgrLibTrapOpen sysLibTrapOpen
- #define kStatusBarMgrLibTrapClose sysLibTrapClose
- #define kStatusBarMgrLibGetAttribute (sysLibTrapCustom)
- #define kStatusBarMgrLibHide (sysLibTrapCustom + 1)
- #define kStatusBarMgrLibShow (sysLibTrapCustom + 2)

## Typedefs

- typedef enum StatAttrTypeTag StatAttrType

## Enumerations

- enum StatAttrTypeTag {
  statAttrExists = 0,
  statAttrBarVisible,
  statAttrDimension
  }

## Functions

- Err StatLibOpen (UInt16 refnum)
    Parameters:

      | refnum,: | IN:

- Err StatLibClose (UInt16 refnum)
    Parameters:

      | refnum,: | IN:

- Err StatGetAttribute (UInt16 refnum, StatAttrType selector, UInt32 *dataP)
    Parameters:

      | refnum,: | IN:

- Err StatHide (UInt16 refnum)
    Parameters:

      | refnum,: | IN:

- Err StatShow (UInt16 refnum)
    Parameters:

      | refnum,: | IN:

## Define Documentation

#define kStatusBarMgrLibGetAttribute (sysLibTrapCustom)

Definition at line 69 of file PalmStatusBar.h.

#define kStatusBarMgrLibHide (sysLibTrapCustom + 1)

Definition at line 70 of file PalmStatusBar.h.

#define kStatusBarMgrLibShow (sysLibTrapCustom + 2)

Definition at line 71 of file PalmStatusBar.h.

#define kStatusBarMgrLibTrapClose sysLibTrapClose

Definition at line 68 of file PalmStatusBar.h.

#define kStatusBarMgrLibTrapOpen sysLibTrapOpen

Definition at line 67 of file PalmStatusBar.h.

#define statErrBadParam (statErrorClass | 101)

Definition at line 48 of file PalmStatusBar.h.

#define statErrInputWindowOpen (statErrorClass | 3)

Definition at line 47 of file PalmStatusBar.h.

#define statErrInvalidSelector (statErrorClass | 2)

Definition at line 46 of file PalmStatusBar.h.

#define statErrInvalidState (statErrorClass | 102)

Definition at line 49 of file PalmStatusBar.h.

#define statErrNoStatusBar (statErrorClass | 1)

Definition at line 45 of file PalmStatusBar.h.

#define statErrorClass (appErrorClass | 0x0900)

Definition at line 44 of file PalmStatusBar.h.

#define statFtrNumVersion (0)

Definition at line 36 of file PalmStatusBar.h.

#define statLibCreator 'sBar'

Definition at line 34 of file PalmStatusBar.h.

#define statLibName "StatusBarMgrLib"

Definition at line 33 of file PalmStatusBar.h.

#define statLibType sysFileTLibrary

Definition at line 35 of file PalmStatusBar.h.

## Typedef Documentation

typedef enum StatAttrTypeTag StatAttrType

Status Bar Attributes

## Enumeration Type Documentation

enum StatAttrTypeTag

Status Bar Attributes

Enumerator:

  statAttrExists | device supports the status bar
  statAttrBarVisible | status bar is visible
  statAttrDimension | bounds of status bar window

Definition at line 55 of file PalmStatusBar.h.

    00056 {
    00057     statAttrExists     = 0,         /**< device supports the status bar */
    00058     statAttrBarVisible,             /**< status bar is visible */
    00059     statAttrDimension               /**< bounds of status bar window */
    00060 } StatAttrType;

## Function Documentation

Err StatGetAttribute | ( | UInt16 | refnum,
|  | StatAttrType | selector,
|  | UInt32 * | dataP |
| ) |  |  |

Parameters:

  | refnum,: | IN:

Parameters:

  | selector,: | IN:
  | *dataP,: | IN:

Return values:

  | Err | error code.

Err StatHide | ( | UInt16 | refnum | ) |

Parameters:

  | refnum,: | IN:

Return values:

  | Err | error code.

Err StatLibClose | ( | UInt16 | refnum | ) |

Parameters:

  | refnum,: | IN:

Return values:

  | Err | error code.

Err StatLibOpen | ( | UInt16 | refnum | ) |

Parameters:

  | refnum,: | IN:

Return values:

  | Err | error code.

Err StatShow | ( | UInt16 | refnum | ) |

Parameters:

  | refnum,: | IN:

Return values:

  | Err | error code.

Top | Palm Developer Network © 2004-2008, Palm, Inc. All rights reserved. Generated on Fri Jun 13 10:07:57 2008 for Palm API Guide